List RAM options for a server model
All available RAM options for a server model in one location can be listed by a GET request to /v1/locations/{location_id}/order_options/server_models/{server_model_id}/ram. The location and server model IDs are mandatory path parameters.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
server_model_id | stringAn identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section. |
Query Parameters
| Field | Details |
|---|---|
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1602/order_options/server_models/2792/ram"[ { "ram": 32, "type": "DDR3" }, { "ram": 48, "type": "DDR3" }, { "ram": 64, "type": "DDR3" }]